query_struct Struct Reference

`#include <query.h>`

## Data Fields

struct sockaddr_storage | addr
socklen_t | addrlen
size_t | maxlen
size_t | reserved_space
tsig_rr_type * | tsig_rr
edns_rr_type * | edns_rr
int | tcp
uint16_t | tcplen
buffer_type * | buffer
zone_type * | zone
FILE * | axfr_fd
uint32_t | serial
size_t | startpos
unsigned | axfr_is_done: 1
unsigned | tsig_prepare_it: 1
unsigned | tsig_update_it: 1
unsigned | tsig_sign_it: 1

## Detailed Description

Definition at line 59 of file query.h.

## Field Documentation

## addr

struct sockaddr_storage query_struct::addr

Definition at line 61 of file query.h.

Referenced by query_reset(), sock_handle_tcp_accept(), and sock_handle_udp().

## addrlen

socklen_t query_struct::addrlen

Definition at line 62 of file query.h.

Referenced by query_reset(), sock_handle_tcp_accept(), and sock_handle_udp().

## axfr_fd

FILE* query_struct::axfr_fd

Definition at line 81 of file query.h.

Referenced by axfr(), ixfr(), query_cleanup(), query_create(), and query_reset().

## axfr_is_done

unsigned query_struct::axfr_is_done

Definition at line 85 of file query.h.

Referenced by axfr(), ixfr(), and query_reset().

## buffer

buffer_type* query_struct::buffer

Definition at line 73 of file query.h.

Referenced by axfr(), ixfr(), query_add_optional(), query_add_rr(), query_cleanup(), query_create(), query_prepare(), query_process(), query_reset(), soa_request(), sock_handle_tcp_read(), sock_handle_tcp_write(), and sock_handle_udp().

## edns_rr

edns_rr_type* query_struct::edns_rr

Definition at line 69 of file query.h.

Referenced by axfr(), query_add_optional(), query_cleanup(), query_create(), query_prepare(), and query_reset().

## maxlen

size_t query_struct::maxlen

Definition at line 64 of file query.h.

Referenced by axfr(), ixfr(), query_reset(), and sock_handle_tcp_read().

## reserved_space

size_t query_struct::reserved_space

Definition at line 65 of file query.h.

Referenced by query_prepare(), and query_reset().

## serial

uint32_t query_struct::serial

Definition at line 82 of file query.h.

Referenced by ixfr(), and query_reset().

## startpos

size_t query_struct::startpos

Definition at line 83 of file query.h.

Referenced by ixfr(), and query_reset().

## tcp

int query_struct::tcp

Definition at line 71 of file query.h.

Referenced by axfr(), ixfr(), and query_reset().

## tcplen

uint16_t query_struct::tcplen

Definition at line 72 of file query.h.

Referenced by sock_handle_tcp_read(), and sock_handle_tcp_write().

## tsig_prepare_it

unsigned query_struct::tsig_prepare_it

Definition at line 86 of file query.h.

Referenced by axfr(), ixfr(), query_add_optional(), and query_reset().

## tsig_rr

tsig_rr_type* query_struct::tsig_rr

Definition at line 67 of file query.h.

Referenced by axfr(), ixfr(), query_add_optional(), query_cleanup(), query_create(), query_prepare(), query_process(), query_reset(), and soa_request().

## tsig_sign_it

unsigned query_struct::tsig_sign_it

Definition at line 88 of file query.h.

Referenced by axfr(), ixfr(), query_add_optional(), query_reset(), and soa_request().

## tsig_update_it

unsigned query_struct::tsig_update_it

Definition at line 87 of file query.h.

Referenced by axfr(), ixfr(), query_add_optional(), and query_reset().

## zone

zone_type* query_struct::zone

Definition at line 77 of file query.h.

Referenced by axfr(), ixfr(), query_process(), query_reset(), and soa_request().

The documentation for this struct was generated from the following file:

- src/wire/query.h